import os

EMSCRIPTEN_ROOT = '/usr/share/emscripten'

if os.geteuid() == 0:
    CACHE = "/var/cache/emscripten"
else:
    home = os.path.expanduser("~")
    CACHE = (
        os.path.join(home, ".cache", "emscripten")
        if os.path.isdir(home)
        else os.path.join(os.getcwd(), ".cache", "emscripten")
    )

